package gov.va.med.esr.mvc.model;

import gov.va.med.esr.service.external.person.MSSummary;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class MSModel extends AbstractServiceDataWrapperImpl {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8737153646853165949L;
	private MSSummary summary;
	@Override
	public Object getServiceData() {
		return getSummary();
	}
	@Override
	public void setServiceData(Object serviceData) {
		setSummary((MSSummary) serviceData);
	}
	public MSSummary getSummary() {
		return summary;
	}
	public void setSummary(MSSummary summary) {
		this.summary = summary;
	}
}
